***How Stated Accuracy of an AI System and Analogies to Explain Accuracy Affect Human Reliance on the System.***
Authors: Gaole He, Stefan Buijsman, Ujwal Gadiraju
Web Information Systems Group, Faculty of EEMCS, Delft University of Technology

Corresponding author: Ujwal Gadiraju
Contact Information:
u.k.gadiraju@tudelft.nl

Delft University of Technology - Faculty of EEMCS, Department of Software Technology, Web Information Systems Group
Building 28, Van Mourik Broekmanweg 6
2628 XE Delft
The Netherlands

***General Introduction***
This dataset contains data collected during experiments at Delft University of Technology, as part of Gaole He's PhD Thesis project: It is being made public both to act as supplementary data for publications and the PhD thesis of Gaole He and in order for other researchers to use this data in their own work.

The data in this data set was collected in the Web Information Systems Group, Faculty of EEMCS, between July 2021 and Jan 2023.


***Purpose of the dataset***
The purpose of these experiments was to investigate (1) How does the understanding of stated system accuracy affect reliance of users on the AI system? and (2) How does explaining stated system accuracy using analogies affect the reliance of users on the AI system?


***Description of the data in this dataset***
The dataset (data.zip) consists of seletected loan approval tasks from [Kaggle loan prediction](https://www.kaggle.com/altruistdelhite04/loan-prediction-problem-dataset) dataset (data/loan_data_selection) and user responses in our main study (data/main_exp) and the follow-up study (data/follow_up_study). All data released are anonymized.

The data/loan_data_selection folder contains a Readme.md. Please refer to it for more details about data selection.

The user responses (both the main study and the follow-up study) are collected from Prolific Platform. The structure of files follows similar structure, thus we only explain for the main study. util.py in data_analysis.zip shows how to load these csv files.

- userinfo.csv, with header "user_id,task_order_str,reverse_flag_str,user_group,analogy_type,created_time", `task_order_str` records the task ordering of each participant. `reverse_flag_str` shows when we show the misleading AI advice. `user_group` indicates user group in [control | accuracy | analogy]. `analogy_type` indicates three analogy types [train | weather | vaccine] provided in our experiments.
- usertask.csv, with header "user_id,task_id,answer_type,choice,created_time", it records user choice at one task. The answer type contains [base | analogy | attention] to indicate [user initial decision | user decision after advice | attention check]. `choice` indicate user choice at specific place.
- TiA_PostQ.csv, it contains user_id and all questions in the trust in automation questionnaire. Each row represents all data collected from one participant. 
- ATI_PreQ.csv, it contains user_id and 9 questions in the ATI questionnaire. Each row represents all data collected from one participant. 
- PostQ_accuracy.csv, post-task questionnaires for group accuracy. Each row represents all data collected from one participant. 
- PostQ_analogy.csv, post-task questionnaires for group analogy. Each row represents all data collected from one participant. 
- PostQ_analogy_labeled.csv, qualitative annotation for open text feedback in post-task questionnaire in group analogy. Each row represents all data collected from one participant. 
- pre_questionnaire.csv, pre-task numeracy level assessment.
- prolific_demographic.csv, demographic information downloaded from Prolific.

***Code Usage***

The naming of code (xx.py) typycally indicates its usage. Most files can be executed with `python xx.py`
python code used in data analysis (data_analysis.zip):

- age_gender_analysis.py: analysis of user demographics with age and gender.
- analysis_h1_h2.py: analysis for hypothesis 1 and 2 in paper.
- analysis_h1_h2_spearman.py: spearman correlation analysis for hypothesis 1 and 2 in paper.
- analysis_h3_numercy_group.py: analysis for hypothesis 3 in paper.
- analysis_h4.py: analysis for hypothesis 4 in paper.
- analysis_h4_usefulness.py: analysis for hypothesis 4 with specific focu in usefulness of analogy in paper.
- analysis_opnion_analogy.py: analysis of user opinion towards the analogy.
- descriptive_statistics_new.py: python scripts for descriptive statistics in paper.
- draw_box_plot.py: box plot of covariates in our paper.
- exploratory_covariates.py: exploratory analysis of impact of covariates.
- exploratory_familarity.py: exploratory analysis of impact of user familiarity to analogy domain.
- trust_pattern.py: calculate trust patterns across conditions.
- util.py: prepare necessary variables for evaluation (e.g., correct answers, user responses)

***Interface***

The interface is implemented with Flask, please refer to [here](https://github.com/RichardHGL/CHI2025_Plan-then-Execute_LLMAgent/blob/main/interface/README.md) to understand how to deploy with Render.
